import isPageNode from '../isPageNode';

function hasMatch(pred, matchedResult) {
  return function (node) {
    do {
      if (pred(node)) {
        return matchedResult;
      }

      node = node.parent;
    } while (node !== null && !isPageNode(node));

    return !matchedResult;
  };
}

export default hasMatch;