var RIGHT_PANEL_WIDTH = 240;
var TOP_BAR_HEIGHT = 40; // Credit: https://github.com/jackiecorn/figma-plugin-drag-and-drop/blob/master/code.ts

export default function getDropPosition(dropPositionRelativeToPlugin, offset, windowWidth) {
  // bounds: the position and size of the visible area of the canvas.
  var _figma$viewport = figma.viewport,
      bounds = _figma$viewport.bounds,
      zoom = _figma$viewport.zoom; // There are two states of the Figma interface: With or without the UI (toolbar + left and right panes)

  var hasUI = Math.round(bounds.width * zoom) !== windowWidth; // Since the left pane is resizable, we need to get its width by subtracting the right pane and the canvas width from the window width.

  var leftPaneWidth = windowWidth - bounds.width * zoom - RIGHT_PANEL_WIDTH; // Getting the position of the cursor relative to the top-left corner of the canvas.

  var xFromCanvas = hasUI ? dropPositionRelativeToPlugin.x - leftPaneWidth : dropPositionRelativeToPlugin.x;
  var yFromCanvas = hasUI ? dropPositionRelativeToPlugin.y - TOP_BAR_HEIGHT : dropPositionRelativeToPlugin.y; // The canvas position of the drop point can be calculated using the following:

  var x = bounds.x + xFromCanvas / zoom - offset.x;
  var y = bounds.y + yFromCanvas / zoom - offset.y;
  return {
    x: x,
    y: y
  };
}