import { ColorFormat } from '../interface';
import toRgb from '../toRgb';

function solidPaintToWebRgb(paint) {
  var format = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : ColorFormat.STRING;
  var color = paint.color,
      opacity = paint.opacity;
  var r = color.r,
      g = color.g,
      b = color.b;
  var webColor = {
    r: Math.round(r * 255),
    g: Math.round(g * 255),
    b: Math.round(b * 255),
    alpha: opacity
  };
  return toRgb(webColor, format);
}

export default solidPaintToWebRgb;