import Color from 'color';

function toSolidPaint(colorInString, opacity) {
  var color = Color(colorInString);

  var _color$rgb$unitObject = color.rgb().unitObject(),
      r = _color$rgb$unitObject.r,
      g = _color$rgb$unitObject.g,
      b = _color$rgb$unitObject.b,
      _color$rgb$unitObject2 = _color$rgb$unitObject.alpha,
      alpha = _color$rgb$unitObject2 === void 0 ? 1 : _color$rgb$unitObject2; // https://www.figma.com/plugin-docs/api/Paint/#solidpaint


  return {
    type: 'SOLID',
    color: {
      r: r,
      g: g,
      b: b
    },
    opacity: opacity != null ? opacity : alpha
  };
}

export default toSolidPaint;