"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = clone;

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }

function clone(element) {
  var ignorePredicate = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : function () {
    return false;
  };

  var type = _typeof(element);

  if (element == null || type === 'boolean' || type === 'number' || type === 'string' || type === 'symbol') {
    return element;
  }

  if (Array.isArray(element)) {
    return element.map(function (ele) {
      return clone(ele);
    });
  }

  var result = {};

  for (var key in element) {
    if (!ignorePredicate(key, element)) {
      result[key] = clone(element[key]);
    }
  }

  return result;
}