export declare enum NodeTypeEnum {
    BOOLEAN_OPERATION = "BOOLEAN_OPERATION",
    CODE_BLOCK = "CODE_BLOCK",
    COMPONENT = "COMPONENT",
    COMPONENT_SET = "COMPONENT_SET",
    CONNECTOR = "CONNECTOR",
    DOCUMENT = "DOCUMENT",
    ELLIPSE = "ELLIPSE",
    FRAME = "FRAME",
    GROUP = "GROUP",
    INSTANCE = "INSTANCE",
    LINE = "LINE",
    PAGE = "PAGE",
    POLYGON = "POLYGON",
    RECTANGLE = "RECTANGLE",
    SHAPE_WITH_TEXT = "SHAPE_WITH_TEXT",
    SLICE = "SLICE",
    STAMP = "STAMP",
    STAR = "STAR",
    STICKY = "STICKY",
    TEXT = "TEXT",
    VECTOR = "VECTOR",
    WIDGET = "WIDGET"
}
export declare enum ColorFormat {
    STRING = "string",
    ARRAY = "array",
    OBJECT = "object",
    UNIT_ARRAY = "unitArray",
    UNIT_OBJECT = "unitObject"
}
export declare enum ColorModel {
    HSL = "hsl",
    RGB = "rgb",
    HEX = "hex"
}
export declare type IColor = string | {
    r: number;
    g: number;
    b: number;
    alpha?: number;
} | {
    h: number;
    s: number;
    l: number;
};
export declare type IObject<T = any> = Record<string, T>;
export interface IPosition {
    x: number;
    y: number;
}
