"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _interface = require("../interface");

var _toRgb = _interopRequireDefault(require("../toRgb"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function solidPaintToWebRgb(paint) {
  var format = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : _interface.ColorFormat.STRING;
  var color = paint.color,
      opacity = paint.opacity;
  var r = color.r,
      g = color.g,
      b = color.b;
  var webColor = {
    r: Math.round(r * 255),
    g: Math.round(g * 255),
    b: Math.round(b * 255),
    alpha: opacity
  };
  return (0, _toRgb.default)(webColor, format);
}

var _default = solidPaintToWebRgb;
exports.default = _default;