"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _color = _interopRequireDefault(require("color"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function toSolidPaint(colorInString, opacity) {
  var color = (0, _color.default)(colorInString);

  var _color$rgb$unitObject = color.rgb().unitObject(),
      r = _color$rgb$unitObject.r,
      g = _color$rgb$unitObject.g,
      b = _color$rgb$unitObject.b,
      _color$rgb$unitObject2 = _color$rgb$unitObject.alpha,
      alpha = _color$rgb$unitObject2 === void 0 ? 1 : _color$rgb$unitObject2; // https://www.figma.com/plugin-docs/api/Paint/#solidpaint


  return {
    type: 'SOLID',
    color: {
      r: r,
      g: g,
      b: b
    },
    opacity: opacity != null ? opacity : alpha
  };
}

var _default = toSolidPaint;
exports.default = _default;